**`PRIYANKA PUTTA`[NAME]** -NL- Email:**`priyanka.putta@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`07405384596`[PHONES_PHONE]** -NL- **`Summary`[SUMMARY_HEADING]** -NL-  Around 5+years of Industrial experience in software analysis, design, -NL- development, implementation (SDLC) and testing of web-based enterprise -NL- applications which are based on Java/J2EE middleware. -NL-  Experience in Enterprise applications using Java/J2EE technologies with Oracle -NL- 11g/10g, SQL server, MySQL, relationship database management systems and -NL- associated data models. -NL-  Experience in working with Open source Java/J2EE technologies like Hibernate, -NL- spring, JSP, Servlets, and Java Script. -NL-  Hands on experience, object-oriented analysis and design expertise in Java SDK, -NL- JDBC 2.0, spring, Hibernate. -NL-  Proficient in various presentation layer technologies: JSP, HTML, XM, CSS, -NL- JavaScript. -NL-  Extensively worked with Unified Modeling Tools (UML) in designing Use Cases, -NL- Activityflow diagram, Class diagrams, Sequence and Object Diagrams. -NL-  Experience in building enterprise applications using ANT and Maven. -NL-  Expertise in Maven for build, Jenkins and SonarQube for continuous integration. -NL-  Experience in TDD (Test Driven Development) software development processes. -NL-  Expertise in unit testing using JUNIT and Testng -NL-  Proficient in error logging and debugging using Log4J -NL-  Have good understanding of UNIX shell scripting. -NL-  Proficient with SQL for writing sql queries for querying and creating tables. -NL-  Good knowledge in creating Restful API using Spring Boot. -NL-  Strong experience in using various tools like SQL IDEs like Oracle SQL -NL- Developer, MYSQL workbench. -NL-  Have Good Knowledge on SWIFT payments. -NL-  Experience working with versioning tools like SVN, GIT. -NL-  Good understanding on cloud technologies. -NL-  Good Knowledge on spring boot framework. -NL-  Extensive development experience in different IDE’s like Eclipse. -NL-  Experience in using JSON for implementing Web Services. -NL-  Strong experience in working with ticketing tools like BMC Remedy 7.6, 8.1. -NL-  Have good knowledge about BMC remedy SRM and SLM. -NL-  Developed browser applications, web services applications using, Web logic -NL- application server and Tomcat web server on windows environments. -NL-  Well focused and can meet the expected deadlines. -NL-  Excellent communication and analytical skills, Quick learner, a good Team Player -NL- with a can–do attitude. -NL-  Leadership Qualities. Good Team player with proficiency at time management, -NL- multitasking, able to meet deadlines and handle priorities. -NL-  Have Strong analytical skills with ability to follow project standards and decision -NL- -making capability. -NL-  Very good at communicating and addressing the client issues. -NL- **`Technical Skills:`[SKILLS_HEADING]** -NL- C, C++, Java, J2ee, XML, HTML, Java Script, SQL, -NL- **`Languages`[OTHERS_HEADING]** -NL- UML -NL- J2EE Technologies -NL- JSP, Servlets, JDBC, EJB, JPA, JUnit, JavaScript. -NL- Version Control -NL- SVN and GIT -NL- Database -NL- Oracle 10g, MySQL, DB2 -NL- Web Servers -NL- Apache Tomcat 6.0 -NL- MVC Architecture, Spring Frame Work, -NL- J2EE Frame Works -NL- Hibernate, Spring Boot -NL- Testing -NL- JUNIT, Testng -NL- IDE’s -NL- Eclipse -NL- Build tools -NL- Maven, Gradle -NL- Operating Systems -NL- Windows 2000 Professional/NT, XP, Unix -NL- Open Source -NL- Spring frame work, Hibernate -NL- Ticketing tools -NL- BMC Remedy 7.6, BMC Remedy 8.1 -NL- Continuous Integration Jenkins, SonarQube -NL- **`Academic Qualification`[EDUCATION_HEADING]** -NL- **`Bachelor of Technology`[EDUCATION_DEGREE]** in **`Computer Science and Engineering `[EDUCATION_COURSE]**-NL- **`Jawaharlal Nehru Technological University, Hyderabad`[EDUCATION_INSTITUTE]** -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- PROJECT: I -NL- Jan 2018-July 2018 -NL- Project Name: **`Total Screening (GMP)`[PROJECT_TITLE]** -**`FINASTRA`[PROJECT_COMPANY_NAME]** -NL- Role: Java Developer -NL- Responsibilities: -NL-  Involved in Setting up an environment, configuring an application and -NL- deployment in Tomcat Server. -NL-  Implemented in Agile/Scrum Methodology. -NL-  Participating in the daily scrum meeting -NL-  Involved in development of maven build based Java web application. -NL-  Interaction with other teams and extended team QA, Product Owner. -NL-  Enhanced and customized the software as per the requirement. -NL-  Involved in the clearing out the bugs in the applications based on the test reports. -NL- Environment: Java 1.8, MAVEN, Eclipse-Mars, Tomcat, JBOSS, Tortoise SVN, Log4J, -NL- JIRA, Solr, Ingress, ZKoss -NL- PROJECT: II -NL- Dec 2015-Sept 2017 -NL- Project Name: **`GSTN (Goods and Services Tax)`[PROJECT_TITLE]** -**`INFOSYS`[PROJECT_COMPANY_NAME]** -NL- Role: Senior Java Developer -NL- Responsibilities: -NL-  Have been involved in the entire project life cycle starting from requirements -NL- gathering to implementation -NL-  Involved in designing the sequential diagrams using the Enterprise Architect. -NL-  Involved in Setting up an environment, configuring an application and -NL- deployment in Tomcat Server. -NL-  Implemented in Agile/Scrum Methodology. -NL-  Participating in the daily scrum meeting -NL-  Involved in development of maven build based Java web application. -NL-  Have used Spring MVC framework for developing the web application to isolate -NL- the application layers. -NL-  Developed the Java Code using Eclipse as IDE. -NL-  Involved in writing the Interfaces using java. -NL-  Responsible for coding POJO Classes -NL-  Used Web services – REST for getting GSTIN information. -NL-  Written SQL queries for accessing the DB. -NL-  Written TestNG test cases for unit testing -NL-  Use of tools such as Jenkins to ensure the continuous integration in the project. -NL-  Check-in and checkout of the applications is done using SVN. -NL-  Have basic knowledge about angularJs since front end of the application was -NL- developed using angularJS. -NL-  Configured configurationfiles like spring configuration.xml, web.xml. -NL-  Good Understanding and Experienced in Agile Development process for diverse -NL- requirements. -NL-  Involved in checking the code quality using SonarQube. -NL-  Unit testing and integration testing of owned use cases. -NL- Environment: Java 1.7, MAVEN, Eclipse-Mars, JSON, Spring-MVC, TestNG, MYSQL, -NL- Tomcat, JBOSS, Tortoise SVN, Log4J, angularJS, JIRA. -NL- Project III: -NL- July 2014-Dec 2015 -NL- Project Name: **`Grupo Modelo (License Management Application)`[PROJECT_TITLE]**-**`INFOSYS`[PROJECT_COMPANY_NAME]** -NL- Role: Java Developer -NL- Responsibilities: -NL-  Planning, analyzing, implementation of client requirements. -NL-  Using OOAD Technology classes are designed in UML with the help of Rational -NL- Rose tool. -NL-  Setting up an environment, configuring an application and deployment in IBM -NL- Web Sphere7 Application Server. -NL-  Developed JSP pages for the front end functional implementation. -NL-  JavaScript was used for the client-side validations. -NL-  Used Hibernate Framework for object relational mapping and persistence. -NL-  Wrote JUnit test cases to test the functionality of each method -NL-  Worked on enhancements and automating of few tickets using java for other -NL- applications. -NL-  Understanding client requirements and generating the reports from different -NL- applications of Grupo Modelo by using sql queries. -NL-  Monitoring Remedy tool and resolving new tickets from clients with in the SLA. -NL-  Good Understanding and Experienced in Agile Development process for diverse -NL- requirements. -NL- Environment: Java, Remedy, GIT, Junit, MYSQL and Eclipse IDE. -NL- Project IV: -NL- Jan 2013-June 2014 -NL- Project Name: **`JKart- Coign Tech`[PROJECT_TITLE]** -NL- Role: Java Developer -NL- Responsibilities: -NL-  Create tables & records as specified by the client. -NL-  Use JDBC to connect to the Oracle database and validate transaction -NL- entries. -NL-  Use JSP/HTML for creation of web pages. -NL-  Involve in developing Servlets, JSP and XML based communication. -NL-  Involved in Defect Fixing. -NL-  Develop EJB components encapsulating business logic. -NL-  Deploy Beans, Servlets, JSP's, and EJB's. -NL-  Involve in Unit testing and Integration testing. -NL-  Maintain the system and update of the system as per client requirements. -NL- Environment: Java, J2EE, JSP, JavaScript, CSS, Servlets, JDBC, Eclipse, Apache Tomcat, -NL- Oracle, Windows. -NL- 